Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DistributedLargeBlobSenderAI Class Reference
Inheritance diagram for DistributedLargeBlobSenderAI:

## Public Member Functions
| __init__ (self, air, zoneId, targetAvId, data, useDisk=0)
| getMode (self)
| getTargetAvId (self)
| setAck (self)
Public Member Functions inherited from DistributedObjectAI
| __init__ (self, air)
| announceGenerate (self)
| b_setLocation (self, parentId, zoneId)
| beginBarrier (self, name, avIds, timeout, callback)
| d_setLocation (self, parentId, zoneId)
| delete (self)
| deleteOrDelay (self)
| execCommand (self, string, mwMgrId, avId, zoneId)
| generate (self)
| generateInit (self, repository=None)
| generateOtpObject (self, parentId, zoneId, optionalFields=[], doId=None)
| generateTargetChannel (self, repository)
| generateWithRequired (self, zoneId, optionalFields=[])
| generateWithRequiredAndId (self, doId, parentId, zoneId, optionalFields=[])
| GetAccountConnectionChannel (self, doId)
| GetAccountIDFromChannelCode (self, channel)
| GetAvatarIDFromChannelCode (self, channel)
| getBarrierData (self)
| getCacheable (self)
| getCollTrav (self, *args, **kArgs)
| getDelayDeleteCount (self)
| getDeleteEvent (self)
| getDoId (self)
| getLocation (self)
| getLogicalZoneChangeEvent (self)
| getNonCollidableParent (self)
| getParentMgr (self)
| GetPuppetConnectionChannel (self, doId)
| getRender (self)
| getZoneChangeEvent (self)
| getZoneData (self)
| handleLogicalZoneChange (self, newZoneId, oldZoneId)
| ignoreBarrier (self, context)
| initFromServerResponse (self, valDict)
| isDeleted (self)
| isGenerated (self)
| isGridParent (self)
| postGenerateMessage (self)
| preAllocateDoId (self)
| releaseZoneData (self)
| requestDelete (self)
| sendDeleteEvent (self)
| sendGenerateWithRequired (self, repository, parentId, zoneId, optionalFields=[])
| sendMessageBundle (self)
| sendUpdate (self, fieldName, args=[])
| sendUpdateToAccountId (self, accountId, fieldName, args)
| sendUpdateToAvatarId (self, avId, fieldName, args)
| sendUpdateToChannel (self, channelId, fieldName, args)
| setAI (self, aiChannel)
| setBarrierReady (self, context)
| setLocation (self, parentId, zoneId)
| startMessageBundle (self, name)
| status (self, indent=0)
| taskName (self, taskString)
| uniqueName (self, idString)
| updateAllRequiredFields (self, dclass, di)
| updateAllRequiredOtherFields (self, dclass, di)
| updateRequiredFields (self, dclass, di)
| updateRequiredOtherFields (self, dclass, di)
| validate (self, avId, bool, msg)
Public Member Functions inherited from DistributedObjectBase
| __init__ (self, cr)
| getParentObj (self)
| handleChildArrive (self, childObj, zoneId)
| handleChildArriveZone (self, childObj, zoneId)
| handleChildLeave (self, childObj, zoneId)
| handleChildLeaveZone (self, childObj, zoneId)
| handleQueryObjectChildrenLocalDone (self, context)
| hasParentingRules (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
int | mode = 0
| targetAvId = targetAvId
Public Attributes inherited from DistributedObjectAI
str | accountName = ''
| air = air
| Asad: As per Roger's suggestion, turn off the following block until a solution is thought out of how to prevent this delete message or to handle this message better TODO: do we still need this check?
| dclass = self.air.dclassesByName[className]
int | DistributedObjectAI_initialized = 1
| lastNonQuietZone = None
Public Attributes inherited from DistributedObjectBase
| cr = cr
| doId
int | parentId = None
| zoneId = None

## Additional Inherited Members
Static Public Member Functions inherited from DistributedObjectAI
| staticGetLogicalZoneChangeEvent (doId)
| staticGetZoneChangeEvent (doId)
Static Public Attributes inherited from DistributedObjectAI
int | QuietZone = 1
Static Public Attributes inherited from DistributedObjectBase
| notify = directNotify.newCategory("DistributedObjectBase")
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Protected Member Functions inherited from DistributedObjectAI
| _retrieveCachedData (self)
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DistributedObjectAI
bool | _DOAI_requestedDelete = False
| _zoneData = None
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Detailed Description

    DistributedLargeBlobSenderAI: for sending large chunks of data through
    the DC system to a specific avatar

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | air,
|  |  | zoneId,
|  |  | targetAvId,
|  |  | data,
|  |  | useDisk = 0 )

## Member Function Documentation

## ◆ getMode()

getMode | ( |  | self | ) |

## ◆ getTargetAvId()

getTargetAvId | ( |  | self | ) |

## ◆ setAck()

setAck | ( |  | self | ) |

## Member Data Documentation

## ◆ mode

int mode = 0

## ◆ targetAvId

targetAvId = targetAvId